const { version } = require("discord.js");
const { codeBlock } = require("@discordjs/builders");
const { DurationFormatter } = require("@sapphire/time-utilities");
const durationFormatter = new DurationFormatter();
const fs = require("fs");

require("dotenv").config();
var http = require('unirest');

exports.run = (client, message, args, level) => { // eslint-disable-line no-unused-vars
  let username = args
  const path = 'cache/' + message.author.id + ".user"



  console.log(username[0])
  var Request = http.get('https://board.grwh.work/jsonrpc.php').headers({ Accept: 'application/json', 'Content-Type': 'application/json' }).send({ "jsonrpc": "2.0", "method": "getUserByName", "id": 0, "params": { "username": username[0] } });

  Request.auth({
    user: 'jsonrpc',
    pass: process.env.KANBOARD_API_KEY,
    sendImmediately: false
  }).then(function (response) {
    let data = response.body.result

    if (fs.existsSync(path)) {
      console.log("User already exists")
      message.channel.send("That user is already in our system and cannot be registered again.")
    }
    else {
      console.log("No Channel PWD Found! Generating!")
      fs.writeFile('./cache/' + message.author.id + ".user", "{\"userid\":\"" + data.id + "\"}", function (err) {
       message.channel.send("You have registered your DiscordID successfully!")
      })
    }
  })

};

exports.conf = {
  enabled: true,
  guildOnly: false,
  aliases: [],
  permLevel: "User"
};

exports.help = {
  name: "register",
  category: "Main",
  description: "Bind your discordID to your board username.",
  usage: "register $BOARDUSERNAME"
};
